All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.exceptionhighlighting
Class BaseExceptionHighlightingSelectorAdapter

    com.sas.dataselectors.exceptionhighlighting.BaseExceptionHighlightingSelectorAdapter

All Implemented Interfaces:
  ExceptionHighlightingSelectorInterface, SelectorCommitInterface, SelectorProcessInterface

Direct Known Subclasses:
  ExceptionHighlightingSelectorBQAdapter

    public abstract class BaseExceptionHighlightingSelectorAdapter

implements ExceptionHighlightingSelectorInterface

Base class that contains attributes and methods common to the different Exception Highlighting Selector adapters.

Since:
  3.1.4

Nested Class Summary
`class` | `BaseExceptionHighlightingSelectorAdapter.KeyValueItem`

Field Summary
`protected boolean` | `addAutomaticToFontInfo`
`protected boolean` | `isOLAP`
`protected java.util.Locale` | `locale`
`protected java.lang.String` | `RB_KEY`
`protected java.util.Map` | `rules`

Fields inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingSelectorInterface
`AUTOMATIC, CONDITION_BETWEEN, CONDITION_EQUAL, CONDITION_GREATER_THAN, CONDITION_GREATER_THAN_OR_EQUAL, CONDITION_LESS_THAN, CONDITION_LESS_THAN_OR_EQUAL, CONDITION_MISSING_VALUE, CONDITION_NOT_EQUAL`

Fields inherited from interface com.sas.dataselectors.SelectorCommitInterface
`EXCEPTION_OCCURRED`

Constructor Summary
`BaseExceptionHighlightingSelectorAdapter()` Default constructor.

Method Summary
`void` | `addRule(ExceptionHighlightingRuleInterface rule)` Add a rule
`java.util.List` | `getColors()` Return a Collection of supported colors which can be applied for a rule
`java.lang.String` | `getDefaultFont()`
`java.lang.String` | `getDefaultFontSize()`
`java.util.List` | `getFonts()` Return a List of fonts
`java.util.List` | `getFontSizes()` Return a Collection of font sizes
`java.util.List` | `getImages()` Return a Collection of images to enhance highlighting
`javax.swing.tree.TreeModel` | `getLevelTreeModel()` Returns the tree model to display list of levels(olap)
`java.util.Locale` | `getLocale()`
`java.util.Map` | `getResultItemMap()` Returns the list of data items contained in the result item list.
`java.util.List` | `getResultItems()` Returns the list of data items contained in the result item list.
`java.util.Map` | `getRules()` Return a map of rules
`java.util.Map` | `getSupportedConditions()` Return a map of Conditions which can be applied in a rule
`boolean` | `isAddAutomaticToFontInfo()` Return a boolean indicating whether the Automatic option should automatically be added to the font name and font size.
`boolean` | `isCompleteImagePath()` Return a boolean indicating whether the images returned from getImages are complete paths or need to be located
`boolean` | `isOLAP()` Returns true if the data source for this adapter is OLAP based.
`void` | `removeRule(java.lang.String ruleId)` Remove rule
`void` | `setAddAutomaticToFontInfo(boolean addAutomaticToFontInfo)` set a boolean indicating whether the Automatic option should automatically be added to the font name and font size
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingSelectorInterface
`getMeasureNames, getModel, setModel`

Methods inherited from interface com.sas.dataselectors.SelectorProcessInterface
`process`

Methods inherited from interface com.sas.dataselectors.SelectorCommitInterface
`commit, getPropertiesBean`

Field Detail

### RB_KEY

    protected java.lang.String RB_KEY

### locale

    protected java.util.Locale locale

### isOLAP

    protected boolean isOLAP

### rules

    protected java.util.Map rules

### addAutomaticToFontInfo

    protected boolean addAutomaticToFontInfo

Constructor Detail

### BaseExceptionHighlightingSelectorAdapter

    public BaseExceptionHighlightingSelectorAdapter()

  Default constructor. Initializes the RB_KEY attribute.

Method Detail

### getSupportedConditions

    public java.util.Map getSupportedConditions()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Return a map of Conditions which can be applied in a rule

  Specified by:
    `getSupportedConditions` in interface `ExceptionHighlightingSelectorInterface`

### getRules

    public java.util.Map getRules()

  Return a map of rules

  Specified by:
    `getRules` in interface `ExceptionHighlightingSelectorInterface`

### addRule

    public void addRule(ExceptionHighlightingRuleInterface rule)

  Add a rule

  Specified by:
    `addRule` in interface `ExceptionHighlightingSelectorInterface`

### removeRule

    public void removeRule(java.lang.String ruleId)

  Remove rule

  Specified by:
    `removeRule` in interface `ExceptionHighlightingSelectorInterface`

### getColors

    public java.util.List getColors()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Return a Collection of supported colors which can be applied for a rule

  Specified by:
    `getColors` in interface `ExceptionHighlightingSelectorInterface`

### getFontSizes

    public java.util.List getFontSizes()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Return a Collection of font sizes

  Specified by:
    `getFontSizes` in interface `ExceptionHighlightingSelectorInterface`

### getFonts

    public java.util.List getFonts()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Return a List of fonts

  Specified by:
    `getFonts` in interface `ExceptionHighlightingSelectorInterface`

### getLevelTreeModel

    public javax.swing.tree.TreeModel getLevelTreeModel()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Returns the tree model to display list of levels(olap)

  Specified by:
    `getLevelTreeModel` in interface `ExceptionHighlightingSelectorInterface`
  Returns:
    the tree model of the levels.

### getImages

    public java.util.List getImages()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Return a Collection of images to enhance highlighting

  Specified by:
    `getImages` in interface `ExceptionHighlightingSelectorInterface`

### isOLAP

    public boolean isOLAP()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Returns true if the data source for this adapter is OLAP based.

  Specified by:
    `isOLAP` in interface `ExceptionHighlightingSelectorInterface`
  Returns:
    Returns the isOLAP.

### isCompleteImagePath

    public boolean isCompleteImagePath()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Return a boolean indicating whether the images returned from getImages are complete paths or need to be located

  Specified by:
    `isCompleteImagePath` in interface `ExceptionHighlightingSelectorInterface`

### isAddAutomaticToFontInfo

    public boolean isAddAutomaticToFontInfo()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Return a boolean indicating whether the Automatic option should automatically be added to the font name and font size.

  Specified by:
    `isAddAutomaticToFontInfo` in interface `ExceptionHighlightingSelectorInterface`

### setAddAutomaticToFontInfo

    public void setAddAutomaticToFontInfo(boolean addAutomaticToFontInfo)

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  set a boolean indicating whether the Automatic option should automatically be added to the font name and font size

  Specified by:
    `setAddAutomaticToFontInfo` in interface `ExceptionHighlightingSelectorInterface`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `ExceptionHighlightingSelectorInterface`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `ExceptionHighlightingSelectorInterface`

### getDefaultFont

    public java.lang.String getDefaultFont()

  Specified by:
    `getDefaultFont` in interface `ExceptionHighlightingSelectorInterface`

### getDefaultFontSize

    public java.lang.String getDefaultFontSize()

  Specified by:
    `getDefaultFontSize` in interface `ExceptionHighlightingSelectorInterface`

### getResultItems

    public java.util.List getResultItems()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Returns the list of data items contained in the result item list.

  Specified by:
    `getResultItems` in interface `ExceptionHighlightingSelectorInterface`
  Returns:
    a list of DataItem objects

### getResultItemMap

    public java.util.Map getResultItemMap()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Returns the list of data items contained in the result item list.

  Specified by:
    `getResultItemMap` in interface `ExceptionHighlightingSelectorInterface`
  Returns:
    a list of DataItem objects

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.